HaXml-1.25.4: Utilities for manipulating XML documents

Safe Haskell | Safe
Language | Haskell98

Text.XML.HaXml.Schema.XSDTypeModel

# Documentation

data Schema #

Constructors

Schema |
Fields schema_elementFormDefault :: QForm schema_attributeFormDefault :: QForm schema_finalDefault :: Maybe Final schema_blockDefault :: Maybe Block schema_targetNamespace :: Maybe TargetNamespace schema_version :: Maybe String schema_namespaces :: [Namespace] schema_items :: [SchemaItem]

Instances

Eq Schema # |
Methods (==) :: Schema -> Schema -> Bool # (/=) :: Schema -> Schema -> Bool #
Show Schema # |
Methods showsPrec :: Int -> Schema -> ShowS # show :: Schema -> String # showList :: [Schema] -> ShowS #
Monoid Schema # |
Methods mempty :: Schema # mappend :: Schema -> Schema -> Schema # mconcat :: [Schema] -> Schema #

data SchemaItem #

Constructors

Include SchemaLocation Annotation |
Import URI SchemaLocation Annotation |
Redefine SchemaLocation [SchemaItem] |
Annotation Annotation |
Simple SimpleType |
Complex ComplexType |
SchemaElement ElementDecl |
SchemaAttribute AttributeDecl |
AttributeGroup AttrGroup |
SchemaGroup Group |

Instances

Eq SchemaItem # |
Methods (==) :: SchemaItem -> SchemaItem -> Bool # (/=) :: SchemaItem -> SchemaItem -> Bool #
Show SchemaItem # |
Methods showsPrec :: Int -> SchemaItem -> ShowS # show :: SchemaItem -> String # showList :: [SchemaItem] -> ShowS #

data SimpleType #

Constructors

Primitive |
Fields simple_primitive :: PrimitiveType
Restricted |
Fields simple_annotation :: Annotation simple_name :: Maybe Name simple_final :: Maybe Final simple_restriction :: Restriction
ListOf |
Fields simple_annotation :: Annotation simple_name :: Maybe Name simple_final :: Maybe Final simple_type :: Either SimpleType QName
UnionOf |
Fields simple_annotation :: Annotation simple_name :: Maybe Name simple_final :: Maybe Final simple_union :: [SimpleType] simple_members :: [QName]

Instances

Eq SimpleType # |
Methods (==) :: SimpleType -> SimpleType -> Bool # (/=) :: SimpleType -> SimpleType -> Bool #
Show SimpleType # |
Methods showsPrec :: Int -> SimpleType -> ShowS # show :: SimpleType -> String # showList :: [SimpleType] -> ShowS #

data Restriction #

Constructors

RestrictSim1 |
Fields restrict_annotation :: Annotation restrict_base :: Maybe QName restrict_r1 :: Restriction1
RestrictType |
Fields restrict_annotation :: Annotation restrict_base :: Maybe QName restrict_type :: Maybe SimpleType restrict_facets :: [Facet]

Instances

Eq Restriction # |
Methods (==) :: Restriction -> Restriction -> Bool # (/=) :: Restriction -> Restriction -> Bool #
Show Restriction # |
Methods showsPrec :: Int -> Restriction -> ShowS # show :: Restriction -> String # showList :: [Restriction] -> ShowS #

data Facet #

Constructors

Facet |
Fields facet_facetType :: FacetType facet_annotation :: Annotation facet_facetValue :: String facet_fixed :: Bool

Instances

Eq Facet # |
Methods (==) :: Facet -> Facet -> Bool # (/=) :: Facet -> Facet -> Bool #
Show Facet # |
Methods showsPrec :: Int -> Facet -> ShowS # show :: Facet -> String # showList :: [Facet] -> ShowS #

data FacetType #

Constructors

OrderedBoundsMinIncl |
OrderedBoundsMinExcl |
OrderedBoundsMaxIncl |
OrderedBoundsMaxExcl |
OrderedNumericTotalDigits |
OrderedNumericFractionDigits |
UnorderedPattern |
UnorderedEnumeration |
UnorderedWhitespace |
UnorderedLength |
UnorderedMaxLength |
UnorderedMinLength |

Instances

Eq FacetType # |
Methods (==) :: FacetType -> FacetType -> Bool # (/=) :: FacetType -> FacetType -> Bool #
Show FacetType # |
Methods showsPrec :: Int -> FacetType -> ShowS # show :: FacetType -> String # showList :: [FacetType] -> ShowS #

data ComplexType #

Constructors

ComplexType |
Fields complex_annotation :: Annotation complex_name :: Maybe Name complex_abstract :: Bool complex_final :: Maybe Final complex_block :: Maybe Block complex_mixed :: Bool complex_content :: ComplexItem

Instances

Eq ComplexType # |
Methods (==) :: ComplexType -> ComplexType -> Bool # (/=) :: ComplexType -> ComplexType -> Bool #
Show ComplexType # |
Methods showsPrec :: Int -> ComplexType -> ShowS # show :: ComplexType -> String # showList :: [ComplexType] -> ShowS #

data ComplexItem #

Constructors

SimpleContent |
Fields ci_annotation :: Annotation ci_stuff :: Either Restriction1 Extension
ComplexContent |
Fields ci_annotation :: Annotation ci_mixed :: Bool ci_stuff :: Either Restriction1 Extension
ThisType |
Fields ci_thistype :: ParticleAttrs

Instances

Eq ComplexItem # |
Methods (==) :: ComplexItem -> ComplexItem -> Bool # (/=) :: ComplexItem -> ComplexItem -> Bool #
Show ComplexItem # |
Methods showsPrec :: Int -> ComplexItem -> ShowS # show :: ComplexItem -> String # showList :: [ComplexItem] -> ShowS #

data Restriction1 #

Constructors

Restriction1 Particle |

Instances

Eq Restriction1 # |
Methods (==) :: Restriction1 -> Restriction1 -> Bool # (/=) :: Restriction1 -> Restriction1 -> Bool #
Show Restriction1 # |
Methods showsPrec :: Int -> Restriction1 -> ShowS # show :: Restriction1 -> String # showList :: [Restriction1] -> ShowS #

data Extension #

Constructors

Extension |
Fields extension_annotation :: Annotation extension_base :: QName extension_newstuff :: ParticleAttrs

Instances

Eq Extension # |
Methods (==) :: Extension -> Extension -> Bool # (/=) :: Extension -> Extension -> Bool #
Show Extension # |
Methods showsPrec :: Int -> Extension -> ShowS # show :: Extension -> String # showList :: [Extension] -> ShowS #

type Particle = Maybe (Either ChoiceOrSeq Group) #

data ParticleAttrs #

Constructors

PA Particle [Either AttributeDecl AttrGroup] (Maybe AnyAttr) |

Instances

Eq ParticleAttrs # |
Methods (==) :: ParticleAttrs -> ParticleAttrs -> Bool # (/=) :: ParticleAttrs -> ParticleAttrs -> Bool #
Show ParticleAttrs # |
Methods showsPrec :: Int -> ParticleAttrs -> ShowS # show :: ParticleAttrs -> String # showList :: [ParticleAttrs] -> ShowS #

data Group #

Constructors

Group |
Fields group_annotation :: Annotation group_nameOrRef :: Either Name QName group_occurs :: Occurs group_stuff :: Maybe ChoiceOrSeq

Instances

Eq Group # |
Methods (==) :: Group -> Group -> Bool # (/=) :: Group -> Group -> Bool #
Show Group # |
Methods showsPrec :: Int -> Group -> ShowS # show :: Group -> String # showList :: [Group] -> ShowS #

data ChoiceOrSeq #

Constructors

All Annotation [ElementDecl] |
Choice Annotation Occurs [ElementEtc] |
Sequence Annotation Occurs [ElementEtc] |

Instances

Eq ChoiceOrSeq # |
Methods (==) :: ChoiceOrSeq -> ChoiceOrSeq -> Bool # (/=) :: ChoiceOrSeq -> ChoiceOrSeq -> Bool #
Show ChoiceOrSeq # |
Methods showsPrec :: Int -> ChoiceOrSeq -> ShowS # show :: ChoiceOrSeq -> String # showList :: [ChoiceOrSeq] -> ShowS #

data ElementEtc #

Constructors

HasElement ElementDecl |
HasGroup Group |
HasCS ChoiceOrSeq |
HasAny Any |

Instances

Eq ElementEtc # |
Methods (==) :: ElementEtc -> ElementEtc -> Bool # (/=) :: ElementEtc -> ElementEtc -> Bool #
Show ElementEtc # |
Methods showsPrec :: Int -> ElementEtc -> ShowS # show :: ElementEtc -> String # showList :: [ElementEtc] -> ShowS #

data Any #

Constructors

Any |
Fields any_annotation :: Annotation any_namespace :: URI any_processContents :: ProcessContents any_occurs :: Occurs

Instances

Eq Any # |
Methods (==) :: Any -> Any -> Bool # (/=) :: Any -> Any -> Bool #
Show Any # |
Methods showsPrec :: Int -> Any -> ShowS # show :: Any -> String # showList :: [Any] -> ShowS #

data AnyAttr #

Constructors

AnyAttr |
Fields anyattr_annotation :: Annotation anyattr_namespace :: URI anyattr_processContents :: ProcessContents

Instances

Eq AnyAttr # |
Methods (==) :: AnyAttr -> AnyAttr -> Bool # (/=) :: AnyAttr -> AnyAttr -> Bool #
Show AnyAttr # |
Methods showsPrec :: Int -> AnyAttr -> ShowS # show :: AnyAttr -> String # showList :: [AnyAttr] -> ShowS #

data AttrGroup #

Constructors

AttrGroup |
Fields attrgroup_annotation :: Annotation attrgroup_nameOrRef :: Either Name QName attrgroup_stuff :: [Either AttributeDecl AttrGroup]

Instances

Eq AttrGroup # |
Methods (==) :: AttrGroup -> AttrGroup -> Bool # (/=) :: AttrGroup -> AttrGroup -> Bool #
Show AttrGroup # |
Methods showsPrec :: Int -> AttrGroup -> ShowS # show :: AttrGroup -> String # showList :: [AttrGroup] -> ShowS #

data ElementDecl #

Constructors

ElementDecl |
Fields elem_annotation :: Annotation elem_nameOrRef :: Either NameAndType QName elem_occurs :: Occurs elem_nillable :: Nillable elem_substGroup :: Maybe QName elem_abstract :: Bool elem_final :: Maybe Final elem_block :: Maybe Block elem_form :: QForm elem_content :: Maybe (Either SimpleType ComplexType) elem_stuff :: [UniqueKeyOrKeyRef]

Instances

Eq ElementDecl # |
Methods (==) :: ElementDecl -> ElementDecl -> Bool # (/=) :: ElementDecl -> ElementDecl -> Bool #
Show ElementDecl # |
Methods showsPrec :: Int -> ElementDecl -> ShowS # show :: ElementDecl -> String # showList :: [ElementDecl] -> ShowS #

data NameAndType #

Constructors

NT |
Fields theName :: Name theType :: Maybe QName

Instances

Eq NameAndType # |
Methods (==) :: NameAndType -> NameAndType -> Bool # (/=) :: NameAndType -> NameAndType -> Bool #
Show NameAndType # |
Methods showsPrec :: Int -> NameAndType -> ShowS # show :: NameAndType -> String # showList :: [NameAndType] -> ShowS #

data AttributeDecl #

Constructors

AttributeDecl |
Fields attr_annotation :: Annotation attr_nameOrRef :: Either NameAndType QName attr_use :: Use attr_defFixed :: Maybe (Either DefaultValue FixedValue) attr_form :: QForm attr_simpleType :: Maybe SimpleType

Instances

Eq AttributeDecl # |
Methods (==) :: AttributeDecl -> AttributeDecl -> Bool # (/=) :: AttributeDecl -> AttributeDecl -> Bool #
Show AttributeDecl # |
Methods showsPrec :: Int -> AttributeDecl -> ShowS # show :: AttributeDecl -> String # showList :: [AttributeDecl] -> ShowS #

data UniqueKeyOrKeyRef #

Constructors

U Unique |
K Key |
KR KeyRef |

Instances

Eq UniqueKeyOrKeyRef # |
Methods (==) :: UniqueKeyOrKeyRef -> UniqueKeyOrKeyRef -> Bool # (/=) :: UniqueKeyOrKeyRef -> UniqueKeyOrKeyRef -> Bool #
Show UniqueKeyOrKeyRef # |
Methods showsPrec :: Int -> UniqueKeyOrKeyRef -> ShowS # show :: UniqueKeyOrKeyRef -> String # showList :: [UniqueKeyOrKeyRef] -> ShowS #

data Unique #

Constructors

Unique |
Fields unique_annotation :: Annotation unique_name :: Name unique_selector :: Selector unique_fields :: [Field]

Instances

Eq Unique # |
Methods (==) :: Unique -> Unique -> Bool # (/=) :: Unique -> Unique -> Bool #
Show Unique # |
Methods showsPrec :: Int -> Unique -> ShowS # show :: Unique -> String # showList :: [Unique] -> ShowS #

data Key #

Constructors

Key |
Fields key_annotation :: Annotation key_name :: Name key_selector :: Selector key_fields :: [Field]

Instances

Eq Key # |
Methods (==) :: Key -> Key -> Bool # (/=) :: Key -> Key -> Bool #
Show Key # |
Methods showsPrec :: Int -> Key -> ShowS # show :: Key -> String # showList :: [Key] -> ShowS #

data KeyRef #

Constructors

KeyRef |
Fields keyref_annotation :: Annotation keyref_name :: Name keyref_refer :: QName keyref_selector :: Selector keyref_fields :: [Field]

Instances

Eq KeyRef # |
Methods (==) :: KeyRef -> KeyRef -> Bool # (/=) :: KeyRef -> KeyRef -> Bool #
Show KeyRef # |
Methods showsPrec :: Int -> KeyRef -> ShowS # show :: KeyRef -> String # showList :: [KeyRef] -> ShowS #

data Selector #

Constructors

Selector |
Fields selector_annotation :: Annotation selector_xpath :: String

Instances

Eq Selector # |
Methods (==) :: Selector -> Selector -> Bool # (/=) :: Selector -> Selector -> Bool #
Show Selector # |
Methods showsPrec :: Int -> Selector -> ShowS # show :: Selector -> String # showList :: [Selector] -> ShowS #

data Field #

Constructors

Field |
Fields field_annotation :: Annotation field_xpath :: String

Instances

Eq Field # |
Methods (==) :: Field -> Field -> Bool # (/=) :: Field -> Field -> Bool #
Show Field # |
Methods showsPrec :: Int -> Field -> ShowS # show :: Field -> String # showList :: [Field] -> ShowS #

data Occurs #

Constructors

Occurs (Maybe Int) (Maybe Int) |

Instances

Eq Occurs # |
Methods (==) :: Occurs -> Occurs -> Bool # (/=) :: Occurs -> Occurs -> Bool #
Show Occurs # |
Methods showsPrec :: Int -> Occurs -> ShowS # show :: Occurs -> String # showList :: [Occurs] -> ShowS #

data Use #

Constructors

Required |
Optional |
Prohibited |

Instances

Eq Use # |
Methods (==) :: Use -> Use -> Bool # (/=) :: Use -> Use -> Bool #
Show Use # |
Methods showsPrec :: Int -> Use -> ShowS # show :: Use -> String # showList :: [Use] -> ShowS #

data PrimitiveType #

Constructors

String |
Boolean |
Decimal |
Float |
Double |
Duration |
DateTime |
Time |
Date |
GYearMonth |
GYear |
GMonthDay |
GDay |
GMonth |
Base64Binary |
HexBinary |
AnyURI |
QName |
Notation |

Instances

Eq PrimitiveType # |
Methods (==) :: PrimitiveType -> PrimitiveType -> Bool # (/=) :: PrimitiveType -> PrimitiveType -> Bool #
Show PrimitiveType # |
Methods showsPrec :: Int -> PrimitiveType -> ShowS # show :: PrimitiveType -> String # showList :: [PrimitiveType] -> ShowS #

data MyRestriction #

Constructors

Range Occurs |
Pattern Regexp |
Enumeration [String] |

Instances

Eq MyRestriction # |
Methods (==) :: MyRestriction -> MyRestriction -> Bool # (/=) :: MyRestriction -> MyRestriction -> Bool #
Show MyRestriction # |
Methods showsPrec :: Int -> MyRestriction -> ShowS # show :: MyRestriction -> String # showList :: [MyRestriction] -> ShowS #

type Mixed = Bool #

type Nillable = Bool #

type Fixed = Bool #

data Annotation #

Constructors

Documentation String |
AppInfo String |
NoAnnotation String |

Instances

Eq Annotation # |
Methods (==) :: Annotation -> Annotation -> Bool # (/=) :: Annotation -> Annotation -> Bool #
Show Annotation # |
Methods showsPrec :: Int -> Annotation -> ShowS # show :: Annotation -> String # showList :: [Annotation] -> ShowS #
Monoid Annotation # |
Methods mempty :: Annotation # mappend :: Annotation -> Annotation -> Annotation # mconcat :: [Annotation] -> Annotation #

data QForm #

Constructors

Qualified |
Unqualified |

Instances

Eq QForm # |
Methods (==) :: QForm -> QForm -> Bool # (/=) :: QForm -> QForm -> Bool #
Show QForm # |
Methods showsPrec :: Int -> QForm -> ShowS # show :: QForm -> String # showList :: [QForm] -> ShowS #

type TargetNamespace = URI #

data Final #

Constructors

NoExtension |
NoRestriction |
AllFinal |

Instances

Eq Final # |
Methods (==) :: Final -> Final -> Bool # (/=) :: Final -> Final -> Bool #
Show Final # |
Methods showsPrec :: Int -> Final -> ShowS # show :: Final -> String # showList :: [Final] -> ShowS #

type Block = Final #

data ProcessContents #

Constructors

Skip |
Lax |
Strict |

Instances

Eq ProcessContents # |
Methods (==) :: ProcessContents -> ProcessContents -> Bool # (/=) :: ProcessContents -> ProcessContents -> Bool #
Show ProcessContents # |
Methods showsPrec :: Int -> ProcessContents -> ShowS # show :: ProcessContents -> String # showList :: [ProcessContents] -> ShowS #

type SchemaLocation = String #

type DefaultValue = String #

type FixedValue = String #

type Regexp = String #

type URI = String #

type TypeName = String #